Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/3.3/MainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/3.3/MainForm.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/3.3/MainForm.cs	(revision 1853)
@@ -218,5 +218,5 @@
       } catch (Exception e) {
         MessageBox.Show(String.Format(
-          "Sorry couldn't open file \"{0}\".\n The following exception occurred: {1}",
+          "Sorry couldn't save file \"{0}\".\n The following exception occurred: {1}",
           task.filename, e.ToString()),
           "Reader Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
Index: /trunk/sources/HeuristicLab.Constraints/3.3/IsIntegerConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Constraints/3.3/IsIntegerConstraint.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Constraints/3.3/IsIntegerConstraint.cs	(revision 1853)
@@ -31,5 +31,4 @@
   /// Constraint that allows only integer values.
   /// </summary>
-  [EmptyStorableClass]
   public class IsIntegerConstraint : ConstraintBase {
     /// <inheritdoc select="summary"/>
Index: /trunk/sources/HeuristicLab.Core/3.3/ItemBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ItemBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Core/3.3/ItemBase.cs	(revision 1853)
@@ -24,4 +24,5 @@
 using System.Text;
 using System.Xml;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Core {
@@ -29,4 +30,5 @@
   /// Represents the base class for all basic item types.
   /// </summary>
+  [EmptyStorableClass]
   public abstract class ItemBase : StorableBase, IItem {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolArrayData.cs	(revision 1853)
@@ -25,4 +25,5 @@
 using System.Xml;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -30,4 +31,5 @@
   /// An array consisting of boolean values.
   /// </summary>
+  [EmptyStorableClass]
   public class BoolArrayData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 1853)
@@ -25,4 +25,5 @@
 using System.Xml;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -30,4 +31,5 @@
   /// Class to represent boolean values.
   /// </summary>
+  [EmptyStorableClass]
   public class BoolData : ObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolMatrixData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// A two-dimensional matrix consisting of boolean values.
   /// </summary>
+  [EmptyStorableClass]
   public class BoolMatrixData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/ConstrainedDoubleData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ConstrainedDoubleData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/ConstrainedDoubleData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// Represents a double value having some constraints (e.g. smaller than 5.3).
   /// </summary>
+  [EmptyStorableClass]
   public class ConstrainedDoubleData : ConstrainedObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/ConstrainedIntData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ConstrainedIntData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/ConstrainedIntData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// The representation of an int value having some constraints (e.g. smaller than 2).
   /// </summary>
+  [EmptyStorableClass]
   public class ConstrainedIntData : ConstrainedObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleArrayData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// The representation of an array of double values.
   /// </summary>
+  [EmptyStorableClass]
   public class DoubleArrayData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// Class to represent double values.
   /// </summary>
+  [EmptyStorableClass]
   public class DoubleData : ObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrixData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using System.Xml;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// A two-dimensional matrix consisting of double values.
   /// </summary>
+  [EmptyStorableClass]
   public class DoubleMatrixData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntArrayData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// The representation of an array of integer values.
   /// </summary>
+  [EmptyStorableClass]
   public class IntArrayData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/IntData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// The representation of an int value.
   /// </summary>
+  [EmptyStorableClass]
   public class IntData : ObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntMatrixData.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using System.Globalization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -31,4 +32,5 @@
   /// A two-dimensional matrix of integer values.
   /// </summary>
+  [EmptyStorableClass]
   public class IntMatrixData : ArrayDataBase {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/NullData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/NullData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/NullData.cs	(revision 1853)
@@ -25,4 +25,5 @@
 using System.Xml;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -30,4 +31,5 @@
   /// A class that represents <c>null</c>.
   /// </summary>
+  [EmptyStorableClass]
   public class NullData : ObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Data/3.3/StringData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringData.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringData.cs	(revision 1853)
@@ -25,4 +25,5 @@
 using System.Xml;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
@@ -30,4 +31,5 @@
   /// The representation of a string.
   /// </summary>
+  [EmptyStorableClass]
   public class StringData : ObjectData {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 1853)
@@ -1,6 +1,8 @@
 ﻿using System;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Interfaces {
 
+  [EmptyStorableClass]
   public abstract class FormatBase<SerialDataFormat> : IFormat<SerialDataFormat> where SerialDataFormat : ISerialData {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 1853)
@@ -1,7 +1,9 @@
 ﻿using System;
 using System.Text;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Interfaces {
 
+  [EmptyStorableClass]
   public abstract class PrimitiveSerializerBase<Source, SerialData> :
       IPrimitiveSerializer<Source, SerialData>
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 1853)
@@ -7,7 +7,9 @@
 using System.Globalization;
 using System.Text;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
+  [EmptyStorableClass]
   public class Number2StringSerializer : ICompositeSerializer {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Bool2DebugStringSerializer : DebugStringSerializerBase<bool> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Byte2DebugStringSerializer : DebugStringSerializerBase<byte> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Char2DebugStringSerializer : DebugStringSerializerBase<char> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class DateTime2DebugStringSerializer : DebugStringSerializerBase<DateTime> { }
 
Index: unk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Doubld2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Doubld2DebugStringSerializer.cs	(revision 1852)
+++ 	(revision )
@@ -1,15 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
-
-  [EmptyStorableClass]
-  public class Double2DebugStringSerializer : DebugStringSerializerBase<double> { }
-
-}
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs	(revision 1853)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs	(revision 1853)
@@ -0,0 +1,13 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
+
+  public class Double2DebugStringSerializer : DebugStringSerializerBase<double> { }
+
+}
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Float2DebugStringSerializer : DebugStringSerializerBase<float> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Int2DebugStringSerializer : DebugStringSerializerBase<int> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Long2DebugStringSerializer : DebugStringSerializerBase<long> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class SByte2DebugStringSerializer : DebugStringSerializerBase<sbyte> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Short2DebugStringSerializer : DebugStringSerializerBase<short> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class String2DebugStringSerializer : DebugStringSerializerBase<string> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class Type2DebugStringSerializer : DebugStringSerializerBase<Type> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class UInt2DebugStringSerializer : DebugStringSerializerBase<uint> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class ULong2DebugStringSerializer : DebugStringSerializerBase<ulong> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs	(revision 1853)
@@ -6,9 +6,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  [EmptyStorableClass]
   public class UShort2DebugStringSerializer : DebugStringSerializerBase<ushort> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs	(revision 1853)
@@ -2,9 +2,8 @@
 using HeuristicLab.Persistence.Core;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class DoubleArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class{
+  public abstract class DoubleArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
 
     protected override string FormatValue(object o) {
@@ -17,12 +16,8 @@
   }
 
-  [EmptyStorableClass]
   public class Double1DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[]> { }
 
-
-  [EmptyStorableClass]
   public class Double2DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[,]> { }
 
-  [EmptyStorableClass]
   public class Double3DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[, ,]> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using HeuristicLab.Persistence.Core;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [EmptyStorableClass]
   public class DoubleList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<double>> {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs	(revision 1853)
@@ -1,9 +1,8 @@
 ﻿using System;
 using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class IntArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class{
+  public abstract class IntArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
 
     protected override string FormatValue(object o) {
@@ -16,11 +15,8 @@
   }
 
-  [EmptyStorableClass]
   public class Int1DArray2XmlSerializer : IntArray2XmlSerializerBase<int[]> { }
 
-  [EmptyStorableClass]
   public class Int2DArray2XmlSerializer : IntArray2XmlSerializerBase<int[,]> { }
 
-  [EmptyStorableClass]
   public class Int3DArray2XmlSerializer : IntArray2XmlSerializerBase<int[, ,]> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs	(revision 1853)
@@ -7,5 +7,4 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [EmptyStorableClass]
   public class IntList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<int>> {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 1853)
@@ -4,7 +4,9 @@
 using System;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
+  [EmptyStorableClass]
   public abstract class NumberArray2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : class {
 
@@ -13,5 +15,5 @@
     protected abstract object ParseValue(string o);
 
-    public override XmlString Format(T t) {      
+    public override XmlString Format(T t) {
       Array a = (Array)(object)t;
       int[] lengths = new int[a.Rank];
@@ -86,5 +88,5 @@
       } catch (OverflowException e) {
         throw new PersistenceException("Overflow during element parsing while trying to reconstruct number array.", e);
-      } 
+      }
     }
   }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 1853)
@@ -4,7 +4,9 @@
 using System;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
+  [EmptyStorableClass]
   public abstract class NumberEnumeration2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : IEnumerable {
 
@@ -36,5 +38,5 @@
       } catch (OverflowException e) {
         throw new PersistenceException("Overflow during element parsing while trying to reconstruct number enumerable.", e);
-      }       
+      }
     }
   }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Bool2XmlSerializer : SimpleNumber2XmlSerializerBase<bool> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Byte2XmlSerializer : SimpleNumber2XmlSerializerBase<byte> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 1853)
@@ -4,11 +4,9 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
-  public class Char2XmlSerializer : PrimitiveSerializerBase<char, XmlString> {  
-    
+  public class Char2XmlSerializer : PrimitiveSerializerBase<char, XmlString> {
+
     public override XmlString Format(char c) {
       return new XmlString(new string(c, 1));
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 1853)
@@ -2,9 +2,7 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class DateTime2XmlSerializer : PrimitiveXmlSerializerBase<DateTime> {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Decimal2XmlSerializer : DecimalNumber2XmlSerializerBase<decimal> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlSerializerBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlSerializerBase.cs	(revision 1853)
@@ -30,4 +30,5 @@
       return new XmlString((string)ToStringMethod.Invoke(t, new object[] { "r", CultureInfo.InvariantCulture }));
     }
+
     public override T Parse(XmlString x) {
       try {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Double2XmlSerializer : DecimalNumber2XmlSerializerBase<double> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Float2XmlSerializer : DecimalNumber2XmlSerializerBase<float> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 1853)
@@ -4,11 +4,9 @@
 using System.Text;
 using System.Text.RegularExpressions;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System.Globalization;
 
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
-  
-  [EmptyStorableClass]
+
   public class Guid2XmlSerializer : PrimitiveXmlSerializerBase<Guid> {
 
@@ -26,4 +24,4 @@
       }
     }
-  }  
+  }
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Int2XmlSerializer : SimpleNumber2XmlSerializerBase<int> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Long2XmlSerializer : SimpleNumber2XmlSerializerBase<long> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class SByte2XmlSerializer : SimpleNumber2XmlSerializerBase<sbyte> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class Short2XmlSerializer : SimpleNumber2XmlSerializerBase<short> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 1853)
@@ -21,4 +21,5 @@
       return new XmlString(t.ToString());
     }
+
     public override T Parse(XmlString x) {
       try {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 1853)
@@ -4,5 +4,4 @@
 using System.Text;
 using System.Text.RegularExpressions;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System.Globalization;
 
@@ -10,5 +9,4 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class String2XmlSerializer : PrimitiveXmlSerializerBase<string> {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 1853)
@@ -4,5 +4,4 @@
 using System.Text;
 using System.Text.RegularExpressions;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System.Globalization;
 
@@ -10,5 +9,4 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class TimeSpan2XmlSerializer : PrimitiveXmlSerializerBase<TimeSpan> {
 
@@ -26,4 +24,4 @@
       }
     }
-  }  
+  }
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 1853)
@@ -8,5 +8,4 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class UInt2XmlSerializer : SimpleNumber2XmlSerializerBase<uint> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class ULong2XmlSerializer : SimpleNumber2XmlSerializerBase<ulong> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 1853)
@@ -4,9 +4,7 @@
 using System.Reflection;
 using System.Globalization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  [EmptyStorableClass]
   public class UShort2XmlSerializer : SimpleNumber2XmlSerializerBase<ushort> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 1852)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 1853)
@@ -125,5 +125,5 @@
     <Compile Include="Default\DebugString\PrimitiveSerializers\Char2DebugStringSerializer.cs" />
     <Compile Include="Default\DebugString\PrimitiveSerializers\DateTime2DebugStringSerializer.cs" />
-    <Compile Include="Default\DebugString\PrimitiveSerializers\Doubld2DebugStringSerializer.cs" />
+    <Compile Include="Default\DebugString\PrimitiveSerializers\Double2DebugStringSerializer.cs" />
     <Compile Include="Default\DebugString\PrimitiveSerializers\Float2DebugStringSerializer.cs" />
     <Compile Include="Default\DebugString\PrimitiveSerializers\Int2DebugStringSerializer.cs" />
Index: /trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Random/3.3/NormalRandomAdder.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Constraints;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Random {
@@ -32,4 +33,5 @@
   /// in the specified scope.
   /// </summary>
+  [EmptyStorableClass]
   public class NormalRandomAdder : OperatorBase {
     private static int MAX_NUMBER_OF_TRIES = 100;
Index: /trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Constraints;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Random {
@@ -31,4 +32,5 @@
   /// Normally distributed random number generator.
   /// </summary>
+  [EmptyStorableClass]
   public class NormalRandomizer : OperatorBase {
     private static int MAX_NUMBER_OF_TRIES = 100;
Index: /trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 1853)
@@ -26,4 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Constraints;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Random {
@@ -31,4 +32,5 @@
   /// Uniformly distributed random number generator.
   /// </summary>
+  [EmptyStorableClass]
   public class UniformRandomizer : OperatorBase {
     private static int MAX_NUMBER_OF_TRIES = 100;
Index: /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj	(revision 1852)
+++ /trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj	(revision 1853)
@@ -102,4 +102,8 @@
       <Name>HeuristicLab.Core-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
+      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
+      <Name>HeuristicLab.Persistence-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
Index: /trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 1852)
+++ /trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 1853)
@@ -25,4 +25,5 @@
 using HeuristicLab.Core;
 using System.Threading;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.SequentialEngine {
@@ -31,4 +32,5 @@
   /// in parallel.
   /// </summary>
+  [EmptyStorableClass]
   public class SequentialEngine : EngineBase, IEditable {
     private IOperator currentOperator;
